Subject: Re: bug#63589: 29.0.91; crash after creating graphical frames via emacsclient when compiled with cairo-xcb

From: andrés ramírez <[email-masked]>
Date: Mon, 29 May 2023 16:21:51 +0000

Hi. Thiago.

>>>>> "Thiago" == Thiago Melo <[email-masked]> writes:

[...]

    Thiago> The bottom line is, if you're getting these errors in this toy example, this bug might
    Thiago> bite you on Emacs with Cairo XCB at some point. When, who knows, we're on undefined
    Thiago> behavior land here.

Probably with emacs-29 I would need to pick between bug #63589 or  #bug#57364.

But I have been on this setup for several months and that issue has not
presented on my side. So probably when needed I would compile emacs-29 with '--with-cairo-xcb'.

Best Regards